> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit limit increase

> Fetch a credit limit increase by its ID



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml get /api/engagements/card/credit-limit-increase/{credit-limit-increase-id}
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/credit-limit-increase/{credit-limit-increase-id}:
    get:
      tags:
        - Card
      summary: Get credit limit increase
      description: Fetch a credit limit increase by its ID
      operationId: GetCreditLimitIncrease
      parameters:
        - name: credit-limit-increase-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpGetCreditLimitIncreaseResponse'
        '400':
          description: 'Invalid value for: path parameter credit-limit-increase-id'
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpGetCreditLimitIncreaseResponse:
      title: HttpGetCreditLimitIncreaseResponse
      type: object
      required:
        - id
        - engagementId
        - appliedAmount
        - status
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          format: uuid
        engagementId:
          type: string
          format: uuid
        appliedAmount:
          description: Money object represented in the smallest currency unit
          type: object
          required:
            - amount
            - currency
            - unit
          properties:
            amount:
              type: integer
              format: int64
            currency:
              type: string
            unit:
              type: string
        status:
          $ref: '#/components/schemas/HttpCreditLimitIncreaseStatus'
        additionalInformation:
          $ref: '#/components/schemas/HttpCreditLimitIncreaseAdditionalInformation'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    HttpCreditLimitIncreaseStatus:
      title: HttpCreditLimitIncreaseStatus
      type: string
      enum:
        - PROCESSING
        - AWAITING_DOCUMENTS
        - AWAITING_DOCUMENT_REVIEW
        - AWAITING_SIGNING
        - FINALIZING
        - COMPLETED
        - REJECTED
        - FAILED
    HttpCreditLimitIncreaseAdditionalInformation:
      title: HttpCreditLimitIncreaseAdditionalInformation
      oneOf:
        - $ref: '#/components/schemas/FailureInformation5'
        - $ref: '#/components/schemas/RejectInformation5'
        - $ref: '#/components/schemas/SigningInformation5'
    FailureInformation5:
      title: FailureInformation
      type: object
      required:
        - failureCode
      properties:
        failureCode:
          $ref: '#/components/schemas/HttpFailureCode'
    RejectInformation5:
      title: RejectInformation
      type: object
      required:
        - rejectReason
      properties:
        rejectReason:
          $ref: '#/components/schemas/HttpCreditLimitIncreaseRejectReason'
    SigningInformation5:
      title: SigningInformation
      type: object
      required:
        - signingUrl
      properties:
        signingUrl:
          type: string
    HttpFailureCode:
      title: HttpFailureCode
      type: string
      enum:
        - INTERNAL_ERROR
        - ADDRESS_MISMATCH
        - NAME_MISMATCH
        - ID_VERIFICATION_FAILED
        - TIMEOUT
    HttpCreditLimitIncreaseRejectReason:
      title: HttpCreditLimitIncreaseRejectReason
      type: string
      enum:
        - CREDIT_LIMIT_INCREASE_REJECTED
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````